AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Pomoc i dyskusje o narzędziach dostarczanych przez phpBB Group: zautomatyzowanym skrypcie AutoMOD do instalacji modyfikacji, bibliotece UMIL (Unified MOD Install Library), STK (Support Toolkit) oraz phpBB3 QuickInstall.
Fatso
Posty: 3
Rejestracja: 28 lutego 2012, 09:25

AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Fatso » 28 lutego 2012, 09:29

Witam,
Po upgrade do wersji 3.0.10 z wersji 3.0.7, AutoMOD przestał działać. Jeśli cokolwiek znajduje się w katalogu store/mods, automod wogole się nie ładuje.

Mam zainstalowane całkiem sporo modów, i teraz nie mogę nic z tym zrobić.

Próbowałem na czystej instalacji phpBB podpiętej do mojej bazy, ale problem również się pojawia.

Aviator
Administrator
Posty: 2089
Rejestracja: 07 czerwca 2011, 22:14
Lokalizacja: ZS

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Aviator » 28 lutego 2012, 10:04

Nie wiem jakim cudem te forum testowe z czystymi plikami phpbb3.0.10 z podpiętą bazą z modami itp, ci działało no ale ok.
Czy wykonałeś taką czynność jak reinstal automoda?
-=Jeżeli w moim poście brakuje znaków diakrytycznych, oznacza to, że posta wyklepałem przez telefon=-

Fatso
Posty: 3
Rejestracja: 28 lutego 2012, 09:25

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Fatso » 28 lutego 2012, 21:04

Już znalazlem rozwiazanie. Pakiet automoda jest wg słów kolegów z phpbb.com uszkodzony. Potrzebny jest pakiet Mastera. Teraz wszystko działa.

Cordovan
Posty: 18
Rejestracja: 17 sierpnia 2012, 08:11

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Cordovan » 17 sierpnia 2012, 08:13

Mam podobny problem ale u mnie pokazuje się


Warning: include(../common.php) [function.include]: failed to open stream: No such file or directory in /home/podkarpa/public_html/forum/upload/install/index.php on line 19

Warning: include(../common.php) [function.include]: failed to open stream: No such file or directory in /home/podkarpa/public_html/forum/upload/install/index.php on line 19

Warning: include() [function.include]: Failed opening '../common.php' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/podkarpa/public_html/forum/upload/install/index.php on line 19

Fatal error: Call to a member function session_begin() on a non-object in /home/podkarpa/public_html/forum/upload/install/index.php on line 20

co zrobiłem źle? wersja forum phpBB 3.0.10 postawione od nowa całe na tym silniku. ;)

Aviator
Administrator
Posty: 2089
Rejestracja: 07 czerwca 2011, 22:14
Lokalizacja: ZS

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Aviator » 17 sierpnia 2012, 08:43

Co tam jest u Ciebie w linii 19 pliku common.php ?
Najlepiej to wstaw w ZAŁĄCZNIKU swój plik common.php
-=Jeżeli w moim poście brakuje znaków diakrytycznych, oznacza to, że posta wyklepałem przez telefon=-

Cordovan
Posty: 18
Rejestracja: 17 sierpnia 2012, 08:11

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Cordovan » 17 sierpnia 2012, 08:56

Wyskakuje mi komunikat rozszerzenie php jest niedozwolone

Aviator
Administrator
Posty: 2089
Rejestracja: 07 czerwca 2011, 22:14
Lokalizacja: ZS

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Aviator » 17 sierpnia 2012, 09:15

Cordovan pisze:Wyskakuje mi komunikat rozszerzenie php jest niedozwolone
To go spakuj w ZIP lub RAR
-=Jeżeli w moim poście brakuje znaków diakrytycznych, oznacza to, że posta wyklepałem przez telefon=-

Cordovan
Posty: 18
Rejestracja: 17 sierpnia 2012, 08:11

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Cordovan » 17 sierpnia 2012, 09:28

Prosze
Załączniki
common.zip
(1.59 KiB) Pobrany 236 razy

Aviator
Administrator
Posty: 2089
Rejestracja: 07 czerwca 2011, 22:14
Lokalizacja: ZS

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Aviator » 17 sierpnia 2012, 14:47

Pierwszy błąd mówi o brakującym pliku, linia 19 odwołuje się do pliku includes/startup.php także sprawdź czy ten plik jest na swoim miejscu czyli w folderze includes
-=Jeżeli w moim poście brakuje znaków diakrytycznych, oznacza to, że posta wyklepałem przez telefon=-

Cordovan
Posty: 18
Rejestracja: 17 sierpnia 2012, 08:11

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Cordovan » 17 sierpnia 2012, 14:52

Jest. :roll:

Aviator
Administrator
Posty: 2089
Rejestracja: 07 czerwca 2011, 22:14
Lokalizacja: ZS

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Aviator » 17 sierpnia 2012, 15:47

Cordovan pisze: Warning: include(../common.php) [function.include]: failed to open stream: No such file or directory in /home/podkarpa/public_html/forum/upload/install/index.php on line 19
Warning: include(../common.php) [function.include]: failed to open stream: No such file or directory in /home/podkarpa/public_html/forum/upload/install/index.php on line 19
Warning: include() [function.include]: Failed opening '../common.php' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/podkarpa/public_html/forum/upload/install/index.php on line 19
Fatal error: Call to a member function session_begin() on a non-object in /home/podkarpa/public_html/forum/upload/install/index.php on line 20
Dlaczego to się znajduje w folderze upload?
-=Jeżeli w moim poście brakuje znaków diakrytycznych, oznacza to, że posta wyklepałem przez telefon=-

Cordovan
Posty: 18
Rejestracja: 17 sierpnia 2012, 08:11

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Cordovan » 17 sierpnia 2012, 16:44

Folder upload był w paczce moda, próbowałem już i w ten sposób że wgrałem z całym folderem na serwer, nie zadziałało, usunąłem i wgrałem same pliki z folderu upload i efekt jest taki sam to samo mi się pokazuje jak chcę w przeglądarce wywołać instalację. Na innym moim forum wgrałem z folderem upload i dało się zainstalować tyle że wersja forum phpBB 3.0.9 nieaktualizowana do 3.0.10 i dlatego nie wiem co się dzieje. :(

Aviator
Administrator
Posty: 2089
Rejestracja: 07 czerwca 2011, 22:14
Lokalizacja: ZS

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Aviator » 17 sierpnia 2012, 16:49

Zawartość folderu Upload się wrzuca do lokalizacji w jakiej są poukładane w tym folderze, Całego folderu Upload nie możesz wrzucać bo nie będą się zgadzać wpisy w plikach dotyczące lokalizacji innych plików.
Zrób to tak jak powinno być wyczyść cache na FTP i spróbuj ponownie
-=Jeżeli w moim poście brakuje znaków diakrytycznych, oznacza to, że posta wyklepałem przez telefon=-

Cordovan
Posty: 18
Rejestracja: 17 sierpnia 2012, 08:11

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Cordovan » 17 sierpnia 2012, 16:57

Psikus pisze:Zawartość folderu Upload się wrzuca do lokalizacji w jakiej są poukładane w tym folderze,
Czekaj bo nie rozumiem zawartość folderu upload mam wrzucić w jaki folder? prosto na serwer w folder "www" bo taki mam główny w którym mam tylko folder "forum" a w tym wszystkie pliki dotyczące forum.
Psikus pisze:Całego folderu Upload nie możesz wrzucać bo nie będą się zgadzać wpisy w plikach dotyczące lokalizacji innych plików.
Zrób to tak jak powinno być wyczyść cache na FTP i spróbuj ponownie
dlaczego na silniku 3.0.9 mam wrzucony cały folder upload z zawartością automoda bo to właśnie on zawiera i zadziałała instalacja?

Aviator
Administrator
Posty: 2089
Rejestracja: 07 czerwca 2011, 22:14
Lokalizacja: ZS

Re: AutoMOD - problem po upgrade do wersji 3.0.10 phpbb

Post autor: Aviator » 17 sierpnia 2012, 17:03

http://www.phpbb.pl/article/jak_instalowac_modyfikacje
Na początku artykułu masz wyjaśnione jak kopiuje się pliki modyfikacji.
-=Jeżeli w moim poście brakuje znaków diakrytycznych, oznacza to, że posta wyklepałem przez telefon=-

Zablokowany